> For the complete documentation index, see [llms.txt](/llms.txt).

# Get a login link for a customer

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/customers/{customer_id}/login_link/`

Returns a link which the customer can follow to log in to their iwoca account and progress their application. Before you can generate a login link, you must have created an application for the customer (using the applications endpoint) and the contact entity must be set to customer. For more information, see 'Retrieve a login link' in the documentation. If you are testing your integration in our sandbox and want to follow the login link yourself, we recommend opening it in an 'Incognito' tab as you may already be signed in to our website via our Developer Portal.

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Query parameters
- `offer_id` (string) — The offer you're linking the customer to.

## Responses
### 200 — Get a login link for a customer from a given customer_id
```json
{
  "data": {
    "login_link": "https://example.com"
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/customers/<customer_id>/login_link/?offer_id=<offer_id>' \
  --header 'Authorization: Bearer <api-key>'
```